SGELQ2(3f)

NAME
SGELQ2 - an LQ factorization of a real m by n matrix A

SYNOPSIS

SUBROUTINE SGELQ2(
    M, N, A, LDA, TAU, WORK, INFO )

INTEGER
    INFO, LDA, M, N

REAL
    A( LDA, * ), TAU( * ), WORK( * )

PURPOSE
SGELQ2 computes an LQ factorization of a real m by n matrix A: A = L * Q.

ARGUMENTS

M       (input) INTEGER
    The number of rows of the matrix A. M >= 0.

N       (input) INTEGER
    The number of columns of the matrix A. N >= 0.

A       (input/output) REAL array, dimension (LDA,N)
    On entry, the m by n matrix A. On exit, the elements on and below the diagonal of the array contain the m by min(m,n) lower trapezoidal matrix L (L is lower triangular if m <= n); the elements above the diagonal, with the array TAU, represent the orthogonal matrix Q as a product of elementary reflectors (see Further Details). LDA (input) INTEGER The leading dimension of the array A. LDA >= max(1,M).

TAU     (output) REAL array, dimension (min(M,N))
    The scalar factors of the elementary reflectors (see Further Details).

WORK    (workspace) REAL array, dimension (M)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value

FURTHER DETAILS
The matrix Q is represented as a product of elementary reflectors
   Q = H(k) . . . H(2) H(1), where k = min(m,n).
Each H(i) has the form
   H(i) = I - tau * v * v'
where tau is a real scalar, and v is a real vector with
v(1:i-1) = 0 and v(i) = 1; v(i+1:n) is stored on exit in A(i,i+1:n), and tau in TAU(i).